[PyQt] PyQt 4.9 build failure on ARM with Qt 4.8

Jonathan Riddell jriddell at ubuntu.com
Fri Jan 27 11:22:42 GMT 2012

Ubuntu is experiencing a mysterious build failure when compiling PyQt 4.9.  It seems to affect ARM only and with Qt 4.8 only (not Qt 4.7.4).


sip: QPainterPathStroker::setDashPattern() unsupported function argument type - provide %MethodCode and a valid C++ signature
Error: Unable to create the C++ code.

Could a change in Qt from 4.7 to 4.8 have done something that makes this not work only on ARM?


More information about the PyQt mailing list